{% extends 'colector/base.html' %}

{% block content %}
<h1>Events List</h1>

<div class="md-form">
    <input class="form-control advancedAutoComplete" type="text" autocomplete="off">
</div>

<div class="table-responsive">
<table class="table table-striped table-hover">
<thead class="thead-dark">
    <th scope="col">Name</th>
    <th scope="col">Timestamp</th>
    <th scope="col">Actions</th>
</thead>
<tbody>
{% for event in object_list %}
    <tr scope="row">
        <td>{{ event.event }}</td>
        <td>{{ event.timestamp }}</td>
    <td>
        <a href="{% url "event_detail" event.id %}">details</a>
        <a href="{% url "event_update" event.id %}">edit</a>
        <a href="{% url "event_delete" event.id %}">delete</a>
    </td>
    </tr>
    {% endfor %}
</tbody>
</table>
</div>

<a class="btn btn-primary" href="{% url "event_create" %}">Create</a>

{% endblock %}

{% load static %}

{% block footer_javascript %}


<!-- <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script> -->
<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script> -->



    <script src="https://cdn.jsdelivr.net/gh/xcash/bootstrap-autocomplete@v2.2.1/dist/latest/bootstrap-autocomplete.min.js"></script>
    <script src="{% static 'js/app.js' %}"></script>
{% endblock footer_javascript %}
